| Home | Libraries | People | FAQ | More

## Function template argument

boost::yap::argument

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<long long I, typename Expr>
      decltype(auto) argument(Expr && expr, hana::llong< I > i);

## Description

Returns the i-th argument expression in a call expression.

Equivalent to `get(expr, i + 1)`.

| Note
`argument()` is only valid if Expr is an `expr_kind::call` expression.